On Tue, 15 Feb 2011 14:46:11 +0100
Michael Howitz <m...@gocept.com> wrote:

> Hi,
> 
  Hello,

> we are upgrading a customers project from Zope 2.11.x to Zope 2.13.4.
> In this project the expression type "provider" of zope.contenttype is
> used. But loading the configure.zcml of zope.contentprovider fails
> with:
> 
> ConfigurationError: ('Unknown directive',
> u'http://namespaces.zope.org/tales', u'expressiontype')
> 
> I tracked this down to Zope2/App/exclude.zcml where the meta.zcml of
> the package zope.browserpage gets excluded. Sadly this ZCML file
> defines the expressiontype directive.
> 
> What is the current way to use zope.contentprovider in a Zope2
> environment?
> 
> 

  I got the same bug in five.grok. I struggled for a while, it is
  weird, because if you include the correct meta ZCML to have
  expressiontype defined, it still doesn't work.

  I fixed my problem with:

  <!-- ZCML of this package fails in Zope 2.13 for strange reason -->
  <exclude package="zope.contentprovider" />

  And including Products.Five. contentprovider were working
  like before afterwards.

  If you find a better solution, I would be happy to know it (reading
  Hanno reply makes sense).

  Regards,

  Sylvain,

-- 
Sylvain Viollon -- Infrae
t +31 10 243 7051 -- http://infrae.com
Hoevestraat 10 3033GC Rotterdam -- The Netherlands
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to